WHATIS(1)

NOM
whatis - Afficher une ligne de description des pages de manuel

SYNOPSIS
whatis [-dlv?V] [-r|-w] [-s liste] [-m système[,...]] [-M chemin] [-L locale] [-C fichier] nom ...

DESCRIPTION
Chaque page de manuel comporte une description courte. whatis recherche des pages de manuel dont le nom correspond à nom et affiche leur description courte.

nom peut contenir des jokers (wildcards) avec l'option -w ou être une expression rationnelle avec l'option -r. Lors de l'utilisation de ces options, il peut être nécessaire de placer nom entre guillemets ou de protéger par « \ » les caractères spéciaux afin d'empêcher l'interpréteur de commandes de les développer.

Les bases de données d'indexation sont exploitées lors de la recherche, et sont mises à jour par le programme mandb. Suivant votre installation, ce peut être exécuté périodiquement à l'aide de cron, ou par vous-même après l'installation de nouvelles pages de manuel. Pour créer une base de données texte whatis conforme à l'ancien modèle, d'après la base de données d'indexation correspondante, saisissez la commande :

whatis -M chemin_des_pages -w '*' | sort > chemin_des_pages/whatis

Dans cette expression, chemin_des_pages est le chemin d'accès à la structure hiérarchique de pages de manuel, telle que /usr/man.

OPTIONS

-d, --debug
    Affiche les informations de mise au point.

-v, --verbose
    Affiche des messages d'avertissement étendus.

-r, --regex
    Interprète chaque nom comme une expression rationnelle. La recherche aboutit si nom correspond à une partie quelconque du nom de la page. Cette option ralentit légèrement whatis en raison de la méthode de recherche dans les bases de données d'indexation.

-w, --wildcard
    Interprète chaque nom comme un motif contenant des jokers (wildcards) compréhensibles par l'interpréteur de commandes. Pour qu'une correspondance soit trouvée, le motif nom doit correspondre au nom complet de la page de manuel. Cette option ralentit légèrement whatis en raison de la méthode de recherche dans les bases de données d'indexation.

-l, --long
    Ne réduit pas l'affichage à la largeur du terminal. Normalement la sortie sera tronquée à la largeur du terminal pour éviter des résultats déplaisants avec des sections NOM mal écrites.

-s liste, --sections=liste, --section=liste
    La recherche est limitée aux sections de manuel indiquées. liste est une liste de sections séparées par des deux-points ou des virgules. Si une des entrées de la liste est une section simple, par exemple « 3 », alors la liste des descriptions affichées inclura les pages des sections « 3 », « 3perl », « 3x », et ainsi de suite. Par contre, si une des entrées de la liste est plus précise, par exemple « 3perl », alors la liste n'inclura que les pages de cette partie de section.

-m système[,...], --systems=système[,...]
    If this system has access to other operating systems' manual page names, they can be accessed using this option. To search NewOS's manual page names, use the option -m NewOS.

    Le système indiqué peut être une suite de noms de systèmes d'exploitation, séparés par des virgules. Pour inclure une recherche sur le nom des pages de manuel du système natif, il faut inclure le nom système « man » dans la chaîne fournie en argument. Cette option remplacera la variable d'environnement $SYSTEM.

-M liste_de_chemins, --manpath=liste_de_chemins
    Indique une liste de structures hiérarchiques de pages de manuel, séparées par des deux-points, à utiliser lors des recherches. Par défaut, whatis utilise la variable d'environnement $MANPATH, à moins qu'elle ne soit vide ou n'ait été supprimée. Dans ce cas, il détermine la liste appropriée des chemins d'accès aux pages de manuel en se basant sur la variable d'environnement $PATH. Cette option remplace le contenu de $MANPATH.

-L locale, --locale=locale
    whatis détermine habituellement la locale (NdT : la langue ou le dialecte) actuelle par un appel à la fonction C setlocale(3) qui consulte diverses variables d'environnement, y compris $LC_MESSAGES et $LANG. Pour remplacer temporairement la valeur définie, utilisez cette option. Elle fournit directement à whatis la chaîne de caractères représentant la locale. Notez que cette valeur ne prendra effet qu'à partir de la recherche des pages. Par conséquent, les autres affichages, tels que les messages d'aide, seront toujours montrés dans la langue initialement déterminée.

-C fichier, --config-file=fichier
    Use this user configuration file rather than the default of ~/.manpath.

-?, --help
    Affiche un message d'aide et s'arrête.

--usage
    Affiche un court mode d'emploi et s'arrête.

-V, --version
    Affiche le numéro de version.

CODE DE RETOUR

0   Programme exécuté sans erreur.

1   Erreur d'utilisation, de syntaxe ou de fichier de configuration.

2   Erreur d'exécution.

16  Rien n'a été trouvé selon les critères indiqués.

ENVIRONNEMENT

SYSTEM
    Si $SYSTEM est définie, l'effet sera le même que si on l'avait indiquée comme argument de l'option -m.

MANPATH
    Si $MANPATH est définie, sa valeur est interprétée comme une liste d'éléments, séparés par des deux-points, représentant les chemins d'accès aux structures hiérarchiques de pages de manuel.

    See the SEARCH PATH section of manpath(5) for the default behaviour and details of how this environment variable is handled.

MANWIDTH
    Si $MANWIDTH est définie, sa valeur est utilisée comme largeur de terminal (voir l'option --long). Sinon, la largeur du terminal sera calculée d'après les valeurs de $COLUMNS et ioctl(2) s'il est disponible, soit à 80 colonnes si aucune indication n'est trouvée.

FICHIERS

/usr/share/man/index.(bt|db|dir|pag)
    Base de données d'indexation globale habituelle.

/var/cache/man/index.(bt|db|dir|pag)
    Base de données d'indexation globale, conforme à FHS.

/usr/share/man/.../whatis
    Base de données texte whatis traditionnelle.

VOIR AUSSI
apropos(1), man(1), mandb(8)

AUTEUR
Wilf. (G.Wilford@ee.surrey.ac.uk).
Fabrizio Polacco (fpolacco@debian.org).
Colin Watson (cjwatson@debian.org).

BOGUES
https://gitlab.com/man-db/man-db/-/issues
https://savannah.nongnu.org/bugs/?group=man-db

TRADUCTION
Cette traduction est maintenue à l'aide de l'outil po4a <URL:https://po4a.org/> par l'équipe francophone de traduction de Debian.

Valéry Perrin <valery.perrin.debian@free.fr> le 2 janvier 2006. David Prévot <david@tilapin.org> et l'équipe francophone de traduction de Debian (2010).

Veuillez signaler toute erreur de traduction en écrivant à <debian-l10n-french@lists.debian.org> ou par un rapport de bogue sur le paquet man-db.

Vous pouvez toujours avoir accès à la version anglaise de ce document en utilisant la commande « man -L C <section> <page_de_man> ».